Bug 1281991 - Review Request: qt4-style-fusion - Fusion widget style for Qt4
Review Request: qt4-style-fusion - Fusion widget style for Qt4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 19:50 EST by Sandro Mani
Modified: 2015-12-30 12:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 17:03:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sandro Mani 2015-11-13 19:50:54 EST
Spec URL: https://smani.fedorapeople.org/review/fusion-qt4.spec
SRPM URL: https://smani.fedorapeople.org/review/fusion-qt4-hg20151112-1.fc24.src.rpm
Description: Fusion widget style for Qt4
Fedora Account System Username: smani

Note: qstylehelper.cpp is taken from the Qt4 sources, but since Qt4 won't receive any updates anymore, this shouldn't be an issue really.
Comment 1 Rex Dieter 2015-12-14 11:21:54 EST
I can review this.
Comment 2 Rex Dieter 2015-12-14 11:35:21 EST
1. Naming: ok, but SHOULD follow practice of some other styles using something like:
qt4-style-fusion

2.  Version/Release: SHOULD: I'd also prefer you used something closer to recommendations on 
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Versioning
like:
Version: 0
Release: 1.hg20151112
(or some better Version: if you have a better idea)

3.  Sources: not ok.   MUST: sources not verifiable, please give url or script/directions on how to create reproduciable sources

4. macros, mostly ok, except for SHOULD replace
%make_install INSTALL_ROOT=%{buildroot}
with
make install INSTALL_ROOT=%{buildroot}

5.  Since this package is using qt4-devel-private, SHOULD consider adding a hard versioned dep like:
%{?_qt4_version:Requires: qt4%{?_isa} = %{_qt4_version}}
though probably not important anymore, there's little chance of any new qt4 releases at this point.
Comment 4 Rex Dieter 2015-12-14 12:23:12 EST
Looks good, thanks.   APPROVED
Comment 5 Gwyn Ciesla 2015-12-14 12:59:26 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/qt4-style-fusion
Comment 6 Fedora Update System 2015-12-14 14:21:00 EST
qt4-style-fusion-0-1.hg20151214.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1fb6219c44
Comment 7 Fedora Update System 2015-12-14 14:21:01 EST
qt4-style-fusion-0-1.hg20151214.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-45ea4be3ce
Comment 8 Fedora Update System 2015-12-15 05:52:34 EST
qt4-style-fusion-0-1.hg20151214.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update qt4-style-fusion'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1fb6219c44
Comment 9 Fedora Update System 2015-12-22 10:36:30 EST
qt4-style-fusion-0-1.hg20151214.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-45ea4be3ce
Comment 10 Fedora Update System 2015-12-22 17:03:50 EST
qt4-style-fusion-0-1.hg20151214.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-12-30 12:50:21 EST
qt4-style-fusion-0-1.hg20151214.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.